namespace FileExposer.Models;

public interface ISyncV1Controller<T, TT>
{

    static string GetRouteName() => nameof(ISyncV1Controller<T, TT>)[1..^10];
    T Post();
    T Put(string path, TT formFiles);
    T Patch(string path, TT formFiles);
    T Get(string path, long? size, long? ticks);
    T Delete(string path, long size, long ticks);

}