using System.Text.Json.Serialization;

namespace FileExposer.Models;

public record Segment(Record? Left,
                      string? LeftDirectory,
                      Record? Right,
                      string RightDirectory);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Segment))]
public partial class SegmentSourceGenerationContext : JsonSerializerContext
{
}
