using System;
using System.IO;

namespace FileExposer.Models;

public interface ISyncV1Repository
{

    string Post(Stream stream);
    Get Get(string path, long? size, long? ticks);
    void Delete(string path, long size, long ticks);
    void Put(string path, string data, Stream stream);
    void Patch(string path, string data, Stream stream);

}